/** @(#) listpos/dlinknodepos.h */
/**
* Almacena al nodo de la lista dinamica doblemente ligada.
* @author Omar Posada Villarreal
* @version 2.0, 02/01/2002 C++
* @version 1.0, 26/10/2001
*/
#ifndef DLINKNODEPOS_H
#define DLINKNODEPOS_H
//----------------------------------------------------------------------------
#include <iostream>
#include <string>
using namespace std;

/**
* Almacena al nodo de la lista dinamica doblemente ligada.
* @author Omar Posada Villarreal
* @version 2.0, 02/01/2002 C++
* @version 1.0, 26/10/2001
*/
template <class TObj>
class DLinkNodePos {
public:
        DLinkNodePos(const TObj element);
	// No usa. Destructor predeterminado
	TObj getItem() const;
	DLinkNodePos<TObj> *getLeft() const;
	DLinkNodePos<TObj> *getRight() const;
	void setLeft(DLinkNodePos<TObj> *theLeft);
	void setRight(DLinkNodePos<TObj> *theRight);

private:
	/**
	* Contiene la informacion del nodo.
	*/
	TObj	item;

	/**
	* Apunta al nodo a la izquierda.
        */
	DLinkNodePos<TObj>	*left;

	/**
	* Apunta al nodo a la derecha.
        */
	DLinkNodePos<TObj>	*right;
};
//----------------------------------------------------------------------------
#endif
// Fin------------------------------------------------------------------------

