/** @(#) prog18.cpp */
/**
* Prueba la lista doblemente ligada para la representacion de Conjuntos.
* @author Omar Posada Villarreal
* @version 2.0, 02/01/2002 C++
* @version 1.0, 26/10/2001
*/
/*#include <condefs.h>			// UNIX Comentar
#pragma hdrstop				// UNIX Comentar USEUNIT, USEFILE
USEUNIT("utilpos\interfacepos.cpp");
USEUNIT("listpos\dlinklistpos.cpp");
USEUNIT("listpos\dlinknodepos.cpp");
USEFILE("listpos\listexceptionpos.h");
USEUNIT("listpos\setpos.cpp");
*/
//---------------------------------------------------------------------------
/* Comentar para Builder*/
#include "listpos/dlinklistpos.h"
#include "listpos/dlinknodepos.h"
#include "listpos/setpos.h"
/**/
#include "listpos/listexceptionpos.h"
#include "utilpos/interfacepos.h"

// { Linker error si *.h por template, solo cpp. dificil
/* Comentar para UNIX
#include "listpos/dlinklistpos.cpp"
#include "listpos/dlinknodepos.cpp"
#include "listpos/setpos.cpp"
*/
// } Linker error si *.h por template. dificil

#include <iostream>
#include <string>
using namespace std;
//doc int main;

/**
* Prueba la lista doblemente ligada para la representacion de Conjuntos.
* @author Omar Posada Villarreal
* @version 1.0, 02/01/2002 C++
*/
int main() {

	// Presentacion
	cout << "prog18. Omar Posada Villarreal";
	cout << "\nUso:\t2 <ENTER> ho <ENTER> la "
        	<< "\n\t<ENTER> 3 <ENTER> m <ENTER> un <ENTER> do";

	// Proceso
        // Ejemplo
        SetPos<string> setA;
        SetPos<string> setB;
        SetPos<string> setRes;
        SetPos<string> *pRes;

	const int ccA = 4;
	const int ccB = 3;
        int i;

	string strA[ccA] = { "Ana", "Alfredo", "Alicia", "Carlos" };
	string strB[ccB] = { "Beto", "Benito", "Carlos" };

/*        for (i = 0; i < ccA; ++i) {
          	setA.addLast(strA[i]);
        }
        for (i = 0; i < ccB; ++i) {
          	setB.addLast(strB[i]);
        }
*/
// Probar DLinkListPos
	DLinkListPos<string> dlA;
        for (i = 0; i < ccB; ++i) {
          	dlA.addLast(strB[i]);
        }
/*        cout << "\nA: " << setA;
       cout << "\nB: " << setB;

        cout << "\nA: ";        setA.print();
        cout << "\nB: ";        setB.print();

        // Union
        pRes = setA.unite(setB);
        setRes = *pRes;
        cout << "\nA union B (A U B):        ";	setRes.print();

        // Interseccion
        pRes = setA.intersection(setB);
        setRes = *pRes;
        cout << "\nA interseccion B (A ^ B): ";	setRes.print();

        // Diferencia
        pRes = setA.difference(setB);
        setRes = *pRes;
        cout << "\nA diferencia B (A - B):   ";	setRes.print();

	//waitEnter();

	// Entrada del usuario
        SetPos<string>	a;
        SetPos<string>	b;
        cout << "\nConjunto A.";
	a.input();

        cout << "\nConjunto B.";
        b.input();

        cout << "\nA: " << a;
        cout << "\nB: " << b;

        // Union
        pRes = a.unite(b);
        setRes = *pRes;
        cout << "\nA union B (A U B):        ";	setRes.print();

        // Interseccion
        pRes = a.intersection(b);
        setRes = *pRes;
        cout << "\nA interseccion B (A ^ B): ";	setRes.print();

        // Diferencia
        pRes = a.difference(b);
        setRes = *pRes;
        cout << "\nA diferencia B (A - B):   ";	setRes.print();
*/
	// Terminacion
	cout << "\n***Fin***";
	waitEnter();
	return 0;
}
// Fin-------------------------------------------------------------------------

